Jupiter - Zadanie #1655
Komponent tabeli zgodny z zasadami material design
2017-04-20 09:16 - Michat Komar

Status: Zamkniety Start date: 2017-04-20
Priority: Normalny Due date:

Assignee: Monika Maksymiuk % Done: 100%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: Monika Maksymiuk
Description

W obecnej formie, korzystanie z datatable nie jest wygodne. W celu usprawnienia korzystania z tabel nalezy:

- przenie$¢ akcje zwigzane z pojedynczym wierszem do kolumny z akcjami
- akcje bezkontekstowe (np.dodawanie) przenie$¢ na gore i wyswietli¢ za pomocg duzych ikonek
- dodac filtrowanie

Mozna pare pomystow podebra¢ stad: http:/fuse-angular-material.withinpixels.com

Related issues:
Precedes Jupiter - Zadanie # 1709: Dodac filtrowanie do pending confirmations Rozwiazany

2017-04-21

2017-04-21

Associated revisions

Revision ee1d3550 - 2017-05-23 15:07 - Michat Komar

refs #1655: Utworzenie komponentu

Wdrozenie komponentu na ekranie proceséw publikacji, potwierdzeh zmian

oraz na liscie uzytkownikow.

Revision be782988 - 2017-05-24 08:04 - Michat Komar

refs #1655: Poprawienie komponentu

Revision a898ee27 - 2017-05-24 12:40 - Michat Komar

refs #1655: Dodanie komponentu data-table-card we wszystkich miejscach

Revision 44f78eb2 - 2017-05-24 12:42 - Michat Komar

refs #1655: Dodanie komponentu data-table-card we wszystkich miejscach

Revision ae81a30b - 2017-05-30 07:21 - Michat Komar

refs #1655: Poprawienie dostepu do filtra

Revision 565697¢7 - 2017-05-30 13:37 - Michat Komar
http://fuse-angular-material.withinpixels.com

refs #1655: Poprawienie procesu publikaciji

Revision 1bc6acdb - 2017-05-31 09:25 - Michat Komar

refs #1655: Poprawienie sqli

Revision 1€29615d - 2017-05-31 12:25 - Michat Komar

refs #1655: Dodanie serializable. Obcigcie wynikéw proceséw publikacii.

Revision a148¢956 - 2017-06-01 12:59 - Michat Komar

refs #1655: Dodanie clearowania filtra

Revision 7474ee5a - 2017-06-23 15:25 - Michat Komar

refs #1655: Poprawki naniesione.

Revision 849dac94 - 2017-06-27 09:47 - Michat Komar

refs #1655: Poprawienie wygladu inputéw w filtrach.

Revision 1b5093fd - 2017-06-27 14:18 - Michat Komar

refs #1655: Poprawienie pozycjonowania placeholdera

History

#1 - 2017-05-22 11:01 - Michat Komar
- Status changed from Nowy to W toku

#2 - 2017-05-31 14:29 - Michat Komar

- Status changed from W toku to Testowanie

- Assignee changed from Michat Komar to Monika Maksymiuk
- % Done changed from 0 to 100

Filtrowanie dodatem tylko przy procesach publikacji. P6Zniej stworze zadania pod konkretne widoki.

Jezeli znajdziesz bugi, dodawaj bugi jako podzadania.

Jezeli bedg rzeczy koncepcyjne, to najlepiej to przegadaé, ewentualnie podzadanie jako idea.

#3 - 2017-06-01 12:04 - Michat Komar
- Precedes Zadanie #1709: Dodac filtrowanie do pending confirmations added

#4 - 2017-06-23 13:09 - Monika Maksymiuk
- File Pasted image at 2017_06_23 03_04 PM.png added
- Status changed from Testowanie to Odpowiedz

- Assignee changed from Monika Maksymiuk to Michat Komar

Komponent tabeli tadniej wyglada po zmianach w zatgczniku (mniej widoczne guziki filtrowania, biate tto na pasku filtrowania, przesuniete w dét guziki

akcji bezkontekstowych, mniejsza czcionka przy nagtéwku)

#5 - 2017-06-23 15:26 - Michat Komar
- Status changed from Odpowied? to Testowanie
- Assignee changed from Michat Komar to Monika Maksymiuk

Uwzglednitem uwagi.

#6 - 2017-06-27 08:43 - Monika Maksymiuk
- Status changed from Testowanie to Odpowiedz

- Assignee changed from Monika Maksymiuk to Michat Komar

Placeholdery inputow i selectéw nie sg na tym samym poziomie. Dobrze by byto je wyréwnaé do poziomu placeholdera z inputéw

#7 - 2017-06-27 09:52 - Michat Komar
- Status changed from Odpowied? to Testowanie
- Assignee changed from Michat Komar to Monika Maksymiuk

Poprawione

#8 - 2017-07-06 07:20 - Monika Maksymiuk

- Status changed from Testowanie to Rozwigzany

#9 - 2017-07-14 07:27 - Monika Maksymiuk

- Status changed from Rozwigzany to Zamkniety
